Get AI agent analytics
GET
/v1/ai/agents/{agentID}/analyticsAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
agentIDstringrequiredResponses
200OK
agent_idstringrequiredavgFirstResponseSecondsnumber<double>requiredblockedRatenumber<double>requiredconversationsResolvedinteger<int64>requiredcsatScorenumber<double>requiredhandoffRatenumber<double>requiredknowledge_source_countinteger<int64>requiredlast_deployment_atstringlatestInspectionsAnswerInspectionSample[] | nullShow propertiesHide properties
Array of
AnswerInspectionSamplechunk_countinteger<int64>chunk_idsstring[] | nullcreated_atstringroutestringrun_idstringrequiredskill_keystringtoolsstring[] | nullvalidate_okbooleanvalidate_reasonstringlatest_knowledge_gapsKnowledgeGap[] | nullrequiredShow propertiesHide properties
Array of
KnowledgeGapagent_idstringrequiredcreated_atstringrequiredidstringrequiredquerystringrequiredreasonstringrequiredstatusstringrequiredsuggested_contentstringrequiredsuggested_titlestringrequiredopen_issue_countinteger<int64>requiredopen_knowledge_gap_countinteger<int64>requiredpass_ratenumber<double>requiredpassed_test_run_countinteger<int64>requiredplaybook_countinteger<int64>requiredresolutionOutcomesobjectsummarystringrequiredtest_run_countinteger<int64>required400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X GET "/v1/ai/agents/string/analytics"const response = await fetch("/v1/ai/agents/string/analytics", {
method: "GET"
});import requests
response = requests.get(
"/v1/ai/agents/string/analytics",
)Response
{
"agent_id": "string",
"avgFirstResponseSeconds": 0,
"blockedRate": 0,
"conversationsResolved": 0,
"csatScore": 0,
"handoffRate": 0,
"knowledge_source_count": 0,
"last_deployment_at": "string",
"latestInspections": [
{
"chunk_count": 0,
"chunk_ids": [
"string"
],
"created_at": "string",
"route": "string",
"run_id": "string",
"skill_key": "string",
"tools": [
"string"
],
"validate_ok": true,
"validate_reason": "string"
}
],
"latest_knowledge_gaps": [
{
"agent_id": "string",
"created_at": "string",
"id": "string",
"query": "string",
"reason": "string",
"status": "string",
"suggested_content": "string",
"suggested_title": "string"
}
],
"open_issue_count": 0,
"open_knowledge_gap_count": 0,
"pass_rate": 0,
"passed_test_run_count": 0,
"playbook_count": 0,
"resolutionOutcomes": {},
"summary": "string",
"test_run_count": 0
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}